# Enum Toolbar.BackCommandPolicy

java.lang.Object
java.lang.Enum<Toolbar.BackCommandPolicy>
com.codename1.ui.Toolbar.BackCommandPolicy

All Implemented Interfaces:
  `Comparable<Toolbar.BackCommandPolicy>`

Enclosing class:
  `Toolbar`

public static enum Toolbar.BackCommandPolicy extends Enum<Toolbar.BackCommandPolicy>
The behavior of the back command in the title

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Show the back command always within the title bar on the left hand side
  `AS_ARROW`
  Show the back command always as a back arrow image from the material design style
  `AS_REGULAR_COMMAND`
  Show the back command always but shows it with the UIID standard UIID
  `NEVER`
  Never show the command in the title area and only set the back command to the toolbar
  `ONLY_WHEN_USES_TITLE`
  Shows the back command only if the `backUsesTitleBool` theme constant is defined to true which is the case for iOS themes
  `WHEN_USES_TITLE_OTHERWISE_ARROW`
  Shows the back command only if the `backUsesTitleBool` theme constant is defined to true on other platforms uses the left arrow material icon

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Toolbar.BackCommandPolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Toolbar.BackCommandPolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final Toolbar.BackCommandPolicy ALWAYS
    Show the back command always within the title bar on the left hand side

  - ### AS_REGULAR_COMMAND

    public static final Toolbar.BackCommandPolicy AS_REGULAR_COMMAND
    Show the back command always but shows it with the UIID standard UIID

  - ### AS_ARROW

    public static final Toolbar.BackCommandPolicy AS_ARROW
    Show the back command always as a back arrow image from the material design style

  - ### ONLY_WHEN_USES_TITLE

    public static final Toolbar.BackCommandPolicy ONLY_WHEN_USES_TITLE
    Shows the back command only if the `backUsesTitleBool` theme constant is defined to true which is the case for iOS themes

  - ### WHEN_USES_TITLE_OTHERWISE_ARROW

    public static final Toolbar.BackCommandPolicy WHEN_USES_TITLE_OTHERWISE_ARROW
    Shows the back command only if the `backUsesTitleBool` theme constant is defined to true on other platforms uses the left arrow material icon

  - ### NEVER

    public static final Toolbar.BackCommandPolicy NEVER
    Never show the command in the title area and only set the back command to the toolbar

- ## Method Details

  - ### values

    public static Toolbar.BackCommandPolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Toolbar.BackCommandPolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null